Subject: [PATCH RFC 3/3] spmi: document the PMIC arbiter SPMI bindings

From: [email-masked] (Stephen Warren)
Date: Fri, 16 Aug 2013 17:17:18 -0600

On 08/16/2013 01:48 PM, Kumar Gala wrote:
> 
> On Aug 16, 2013, at 2:25 PM, Josh Cartwright wrote:
> 
>> Hey Kumar-
>>
>> Thanks for the review.
>>
>> On Fri, Aug 16, 2013 at 01:53:27PM -0500, Kumar Gala wrote:
>>> On Aug 9, 2013, at 3:37 PM, Josh Cartwright wrote:
>>>
>>>> Signed-off-by: Josh Cartwright <[email-masked]>
>>>> ---
>>>> .../devicetree/bindings/spmi/spmi-pmic-arb.txt     | 26 ++++++++++++++++++++++
>>>> 1 file changed, 26 insertions(+)
>>>> create mode 100644 Documentation/devicetree/bindings/spmi/spmi-pmic-arb.txt
>>>
>>> As this is a qcom specific binding, I think the file name should be msm-spmi-pmic-arb.txt or something like that.
>>
>> Agreed.  It might be nice to use a vendor prefix in the name too.  How's qcom,msm-pmic-arb.txt sound?
> 
> Sounds good, as I see we have other examples of having a comma in file names for bindings.

The rule I've applied for bindings I created is use the complete
compatible value for the file name. Where multiple are supported (e.g.
SoC versions), just use the first one. Then, the filename is pretty
unambiguous, both from a point of view of `ls` and from choosing a name.